Eclipse Platform Release 3.7

## org.eclipse.ui.progress
Class PendingUpdateAdapter

    java.lang.Object
      org.eclipse.ui.progress.PendingUpdateAdapter

All Implemented Interfaces:
  IAdaptable, IWorkbenchAdapter

    public class PendingUpdateAdapter

extends Object
implements IWorkbenchAdapter, IAdaptable

The PendingUpdateAdapter is a convenience object that can be used by a BaseWorkbenchContentProvider that wants to show a pending update.

Since:
  3.2

Constructor Summary
`PendingUpdateAdapter()` Create a new instance of the receiver.

Method Summary
`Object` `getAdapter(Class adapter)` Returns an object which is an instance of the given class associated with this object.
`Object[]` `getChildren(Object o)` Returns the children of this object.
`ImageDescriptor` `getImageDescriptor(Object object)` Returns an image descriptor to be used for displaying an object in the workbench.
`String` `getLabel(Object o)` Returns the label text for this element.
`Object` `getParent(Object o)` Returns the logical parent of the given object in its tree.
`protected boolean` `isRemoved()` Return whether or not this has been removed from the tree.
`protected void` `setRemoved(boolean removedValue)` Set whether or not this has been removed from the tree.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PendingUpdateAdapter

    public PendingUpdateAdapter()

  Create a new instance of the receiver.

Method Detail

### isRemoved

    protected boolean isRemoved()

  Return whether or not this has been removed from the tree.

  Returns:
    boolean

### setRemoved

    protected void setRemoved(boolean removedValue)

  Set whether or not this has been removed from the tree.

  Parameters:
    `removedValue` - boolean

### getAdapter

    public Object getAdapter(Class adapter)

  Description copied from interface: `IAdaptable`
  Returns an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found.

  Specified by:
    `getAdapter` in interface `IAdaptable`
  Parameters:
    `adapter` - the adapter class to look up
  Returns:
    a object castable to the given class, or `null` if this object does not have an adapter for the given class

### getChildren

    public Object[] getChildren(Object o)

  Description copied from interface: `IWorkbenchAdapter`
  Returns the children of this object. When this object is displayed in a tree, the returned objects will be this element's children. Returns an empty array if this object has no children.

  Specified by:
    `getChildren` in interface `IWorkbenchAdapter`
  Parameters:
    `o` - The object to get the children for.
  Returns:
    Object[]

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(Object object)

  Description copied from interface: `IWorkbenchAdapter`
  Returns an image descriptor to be used for displaying an object in the workbench. Returns `null` if there is no appropriate image.

  Specified by:
    `getImageDescriptor` in interface `IWorkbenchAdapter`
  Parameters:
    `object` - The object to get an image descriptor for.
  Returns:
    ImageDescriptor

### getLabel

    public String getLabel(Object o)

  Description copied from interface: `IWorkbenchAdapter`
  Returns the label text for this element. This is typically used to assign a label to this object when displayed in the UI. Returns an empty string if there is no appropriate label text for this object.

  Specified by:
    `getLabel` in interface `IWorkbenchAdapter`
  Parameters:
    `o` - The object to get a label for.
  Returns:
    String

### getParent

    public Object getParent(Object o)

  Description copied from interface: `IWorkbenchAdapter`
  Returns the logical parent of the given object in its tree. Returns `null` if there is no parent, or if this object doesn't belong to a tree.

  Specified by:
    `getParent` in interface `IWorkbenchAdapter`
  Parameters:
    `o` - The object to get the parent for.
  Returns:
    Object

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Since:
    3.4

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.